libsidplayfp::ExtraSidBank Class Referencefinal

`#include <ExtraSidBank.h>`

Inheritance diagram for libsidplayfp::ExtraSidBank:

## Public Member Functions

void | reset ()
void | resetSIDMapper (Bank *bank)
uint8_t | peek (uint_least16_t addr) override
void | poke (uint_least16_t addr, uint8_t data) override
void | addSID (c64sid *s, int address)

## Detailed Description

Extra SID bank.

## Member Function Documentation

## addSID()

void libsidplayfp::ExtraSidBank::addSID | ( | c64sid * | s,
|  | int | address
| ) |  |

inline

Set SID emulation.

Parameters

  s | the emulation
  address | the address where to put the chip

## peek()

uint8_t libsidplayfp::ExtraSidBank::peek | ( | uint_least16_t | address | ) |

inline override virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements libsidplayfp::Bank.

## poke()

void libsidplayfp::ExtraSidBank::poke | ( | uint_least16_t | address,
|  | uint8_t | value
| ) |  |

inline override virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements libsidplayfp::Bank.

The documentation for this class was generated from the following file:

- ExtraSidBank.h